# Class pyglet.graphics.vertexattribute.ColorAttribute

    AbstractAttribute --+
                        |
                       ColorAttribute

Color vertex attribute.

## Methods

| __init__(self, count, gl_type) Create the attribute accessor.
| enable(self) Enable the attribute using `glEnableClientState`.
| set_pointer(self, pointer) Setup this attribute to point to the currently bound buffer at the given offset.
AbstractBufferRegion | get_region(self, buffer, start, count) Map a buffer region using this attribute as an accessor. (Inherited from pyglet.graphics.vertexattribute.AbstractAttribute)
| set_region(self, buffer, start, count, data) Set the data over a region of the buffer. (Inherited from pyglet.graphics.vertexattribute.AbstractAttribute)

## Class Variables

| plural = ``'``colors``'``

## Method Details

### __init__

(Constructor) __init__(self, count, gl_type)
Create the attribute accessor.

Overrides:
  AbstractAttribute.__init__

### enable

enable(self)
Enable the attribute using `glEnableClientState`.

Overrides:
  AbstractAttribute.enable

### set_pointer

set_pointer(self, pointer)

Setup this attribute to point to the currently bound buffer at the given offset.

`offset` should be based on the currently bound buffer's `ptr` member.

Overrides:
  AbstractAttribute.set_pointer